#ifndef END_GAME_COMMAND_H
#define END_GAME_COMMAND_H

#include "GameCommand.h"
#include "../Game.h"

class EndGameCommand : public GameCommand
{
public:
    EndGameCommand(Game* game) : m_game(game){}
    void Down() override {m_game->EndGame();}
    void Up() override {}
private:
    Game* m_game;
};

#endif