#ifndef TERRAIN_H
#define TERRAIN_H

#include <cstdint>
#include "../Actors"


class Terrain
{
public:
    bool collides(const Actor & actor, const Level & level, uint16_t tilePositionX, uint16_t tilePositionY);

private:
    uint8_t m_type; //0 if it depends on neighboring tiles (diagonals)
    uint16_t m_object; //Id of object on the tile, tree, collectable,...



};

#endif